Skip to main content
POST
/
v2
/
warehouseassistant
/
shipping-boxes
/
create
Creates a new shipping box within a warehouse.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/warehouseassistant/shipping-boxes/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "displayId": "<string>",
  "typeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "binLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "attributes": [
    "<string>"
  ]
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Creates a new shipping box within a warehouse. - Request

warehouseId
string<uuid>

Warehouse to create the box in.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

displayId
string

Display name for the box (must be unique within warehouse).

typeId
string<uuid>

Box type (immutable after creation).

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

binLocationId
string<uuid>

Bin location to assign the box to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

attributes
string[]

Optional list of free-form attributes.

Response

Shipping box was successfully created.